#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,320,704,1408,2816,5632
 * N : 25,128,192,256,320,704,1408,2816,5632
 * NB : 9,8,12,16,64,64,64,128,128
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 9; \
   else if ((n_) < 160) (nb_) = 8; \
   else if ((n_) < 224) (nb_) = 12; \
   else if ((n_) < 288) (nb_) = 16; \
   else if ((n_) < 2112) (nb_) = 64; \
   else (nb_) = 128; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
